%define        pkgver     %(echo %version | tr . -)
Name:          java-saxon9
Version:       9.1.0.8
Release:       1mamba
Summary:       Saxon XSLT and XQuery Processor
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://saxon.sourceforge.net
Source0:       https://sourceforge.net/projects/saxon/files/Saxon-B/%{version}/saxonb%{pkgver}j.zip
License:       MPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
#Requires:      java-bea-stax
#Requires:      java-bea-stax-api
#Requires:      java-dom
#Requires:      java-dom4j
Requires:      javapackages
#Requires:      xml-commons-apis
Provides:      saxon9
Obsoletes:     saxon9 < 9.1.0.7
Provides:      java-saxon9 = 9.1.0.7

%description
The Saxon XSLT and XQuery processor, developed by Michael Kay 
The SAXON package is a collection of tools for processing XML documents.
The main components are:
- An XSLT processor, which implements the Version 1.0 XSLT and XPath Recommendations from the World Wide Web Consortium, found at
  http://www.w3.org/TR/1999/REC-xslt-19991116 and
  http://www.w3.org/TR/1999/REC-xpath-19991116 with a number of powerful
  extensions. This version of Saxon also includes many of the new features
  defined in the XSLT 1.1 working draft, but for conformance and portability
  reasons these are not available if the stylesheet header specifies
  version="1.0".
- A Java library, which supports a similar processing model to XSL, but allows
  full programming capability, which you need if you want to perform complex
  processing of the data or to access external services such as a relational
  database.
So you can use SAXON with any SAX-compliant XML parser by writing XSLT stylesheets, by writing Java applications, or by any combination of the two.

%package dom
Summary:       DOM support for %{name}
Group:         Applications/Publishing
Requires:      %{name} = %{version}-%{release}
Provides:      saxon9-dom
Obsoletes:     saxon9-dom < 9.1.0.7

%description dom
The SAXON package is a collection of tools for processing XML documents.
Provides additional classes enabling Saxon to be used with the DOM Document Object Model. Supports using a DOM as the input or output of transformations and queries, and calling extension functions that use DOM interfaces to access a Saxon tree structure. Requires DOM level 3 (dom.jar, part of JAXP 1.3) to be on the classpath, if not running under JDK 1.5. 

%package jdom
Group:         Development/Libraries/Java
Summary:       JDOM support for %{name}
#Requires:      java-dom
Requires:      %{name} = %{version}-%{release}
Provides:      saxon9-jdom
Obsoletes:     saxon9-jdom < 9.1.0.7

%description jdom
The SAXON package is a collection of tools for processing XML documents.
This package contains JDOM support for %{name}.

%package dom4j
Group:         Development/Libraries/Java
Summary:       DOM4J support for %{name}
#Requires:      java-dom
Requires:      %{name} = %{version}-%{release}
Obsoletes:     saxon9-dom4j < 9.1.0.7
Provides:      saxon9-dom4j

%description dom4j
The SAXON package is a collection of tools for processing XML documents.
This package contains DOM4J support for %{name}.

%package sql
Group:         Applications/Publishing
Summary:       SQL support for %{name}
Requires:      %{name} = %{version}-%{release}
Provides:      saxon9-sql
Obsoletes:     saxon9-sql < 9.1.0.7

%description sql
The SAXON package is a collection of tools for processing XML documents.
This package contains supports XSLT extensions for accessing and updating a relational database from within a stylesheet.

%package s9api
Group:         Development/Libraries/Java
Summary:       Java API for %{name}
Provides:      saxon9-s9api
Obsoletes:     saxon9-s9api < 9.1.0.7

%description s9api
The SAXON package is a collection of tools for processing XML documents.
This package provides a Java API for %{name}

%package xom
Group:         Applications/Publishing
Summary:       XOM support for %{name}
Group:         Applications/Publishing
Requires:      %{name} = %{version}-%{release}
#Requires:      java-xom
Provides:      saxon9-xom
Obsoletes:     saxon9-xom < 9.1.0.7

%description xom
The SAXON package is a collection of tools for processing XML documents.
Provides additional classes enabling Saxon to be used with XOM trees. Supports using a XOM document as the input or output of transformations and queries. Requires xom.jar on the classpath. 

%package xpath
Group:         Applications/Publishing
Summary:       XPATH support for %{name}
Requires:      %{name} = %{version}-%{release}
Provides:      saxon9-xpath
Obsoletes:     saxon9-xpath < 9.1.0.7

%description xpath
The SAXON package is a collection of tools for processing XML documents.
Provides support for the JAXP 1.3 XPath API. Requires the JAXP 1.3 version of jaxp-api.jar on the classpath, if not running under JDK 1.5. 

%package xqj
Group:         Applications/Publishing
Summary:       XQUERY support for %{name}
Requires:      %{name} = %{version}-%{release}
#Requires:      java-xqjapi
Provides:      saxon9-xqj
Obsoletes:     saxon9-xqj < 9.1.0.7

%description xqj
The SAXON package is a collection of tools for processing XML documents.
This package contains XQUERY support for %{name}.

%prep
%setup -q -c

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -m 644 saxon9-dom4j.jar \
  %{buildroot}%{_javadir}/saxon9-dom4j-%{version}.jar

install -m 644 saxon9-dom.jar \
  %{buildroot}%{_javadir}/saxon9-dom-%{version}.jar

install -m 644 saxon9-jdom.jar \
  %{buildroot}%{_javadir}/saxon9-jdom-%{version}.jar

install -m 644 saxon9-s9api.jar \
  %{buildroot}%{_javadir}/saxon9-s9api-%{version}.jar

install -m 644 saxon9-sql.jar \
  %{buildroot}%{_javadir}/saxon9-sql-%{version}.jar

install -m 644 saxon9-xom.jar \
  %{buildroot}%{_javadir}/saxon9-xom-%{version}.jar

install -m 644 saxon9-xqj.jar \
  %{buildroot}%{_javadir}/saxon9-xqj-%{version}.jar

install -m 644 saxon9-xpath.jar \
  %{buildroot}%{_javadir}/saxon9-xpath-%{version}.jar

install -m 644 saxon9.jar \
  %{buildroot}%{_javadir}/saxon9-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/saxon9-%{version}.jar
%{_javadir}/saxon9.jar

%files dom
%defattr(-,root,root)
%{_javadir}/saxon9-dom-%{version}.jar
%{_javadir}/saxon9-dom.jar

%files dom4j
%defattr(-,root,root)
%{_javadir}/saxon9-dom4j-%{version}.jar
%{_javadir}/saxon9-dom4j.jar

%files jdom
%defattr(-,root,root)
%{_javadir}/saxon9-jdom-%{version}.jar
%{_javadir}/saxon9-jdom.jar

%files s9api
%defattr(-,root,root)
%{_javadir}/saxon9-s9api-%{version}.jar
%{_javadir}/saxon9-s9api.jar

%files sql
%defattr(-,root,root)
%{_javadir}/saxon9-sql-%{version}.jar
%{_javadir}/saxon9-sql.jar

%files xom
%defattr(-,root,root)
%{_javadir}/saxon9-xom-%{version}.jar
%{_javadir}/saxon9-xom.jar

%files xpath
%defattr(-,root,root)
%{_javadir}/saxon9-xpath-%{version}.jar
%{_javadir}/saxon9-xpath.jar

%files xqj
%defattr(-,root,root)
%{_javadir}/saxon9-xqj-%{version}.jar
%{_javadir}/saxon9-xqj.jar

%changelog
* Sun Dec 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 9.1.0.8-1mamba
- update to 9.1.0.8

* Sun Dec 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 9.1.0.7-4mamba
- rebuilt providing upstream jars

* Fri Mar 25 2011 gil <puntogil@libero.it> 9.1.0.7-3mamba
- rebuilt with java-gcj-compat support

* Wed Nov 24 2010 gil <puntogil@libero.it> 9.1.0.7-2mamba
- rebuilt devel

* Fri May 08 2009 gil <puntogil@libero.it> 9.1.0.7-1mamba
- package created by autospec
